## ros-lunar-move-base 1.15.2

=== debian/changelog ===
ros-lunar-move-base (1.15.2-0xenial) xenial; urgency=high

  * Merge pull request #673 <https://github.com/ros-planning/navigation/issues/673> from ros-planning/email_update_lunar
    update maintainer email (lunar)
  * Merge pull request #649 <https://github.com/ros-planning/navigation/issues/649> from aaronhoy/lunar_add_ahoy
    Add myself as a maintainer.
  * Rebase PRs from Indigo/Kinetic (#637 <https://github.com/ros-planning/navigation/issues/637>)
    * Respect planner_frequency intended behavior (#622 <https://github.com/ros-planning/navigation/issues/622>)
    * Only do a getRobotPose when no start pose is given (#628 <https://github.com/ros-planning/navigation/issues/628>)
    Omit the unnecessary call to getRobotPose when the start pose was
    already given, so that move_base can also generate a path in
    situations where getRobotPose would fail.
    This is actually to work around an issue of getRobotPose randomly
    failing.
    * Update gradient_path.cpp (#576 <https://github.com/ros-planning/navigation/issues/576>)
    * Update gradient_path.cpp
    * Update navfn.cpp
    * update to use non deprecated pluginlib macro (#630 <https://github.com/ros-planning/navigation/issues/630>)
    * update to use non deprecated pluginlib macro
    * multiline version as well
    * Print SDL error on IMG_Load failure in server_map (#631 <https://github.com/ros-planning/navigation/issues/631>)
  * Contributors: Aaron Hoy, David V. Lu!!, Michael Ferguson

 -- David V. Lu!! <davidvlu@gmail.com>  Thu, 22 Mar 2018 07:00:00 -0000

ros-lunar-move-base (1.15.1-0xenial) xenial; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Mon, 14 Aug 2017 07:00:00 -0000

ros-lunar-move-base (1.15.0-0xenial) xenial; urgency=high

  * Add a max_planning_retries parameter to move_base [kinetic] (#539 <https://github.com/ros-planning/navigation/issues/539>)
  * Fix for #517 <https://github.com/ros-planning/navigation/issues/517>: create a getRobotPose method on move_base instead of using that on the costmaps
  * Fixed deadlock when changing global planner
  * rebase fixups
  * convert packages to format2
  * Fix CMakeLists + package.xmls (#548 <https://github.com/ros-planning/navigation/issues/548>)
  * Added deps to amcl costmap_2d move_base (#512 <https://github.com/ros-planning/navigation/issues/512>)
  * Fix CMake warnings
  * move_base: Add move_base_msgs to find_package.
  * Contributors: Jorge Santos, Jorge Santos Simón, Maarten de Vries, Martin Günther, Mikael Arguedas, Vincent Rabaud, mryellow, ne0

 -- David V. Lu!! <davidvlu@gmail.com>  Mon, 07 Aug 2017 07:00:00 -0000

ros-lunar-move-base (1.14.0-0xenial) xenial; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Fri, 20 May 2016 07:00:00 -0000

ros-lunar-move-base (1.13.1-0xenial) xenial; urgency=high

  * Removes installation of nonexistent directories
  * use correct size for clearing window
  * full name has been required for eons, this code just adds unneeded complexity
  * remove ancient conversion scripts from v0.2 to v0.3
  * proper locking during costmap update
  * Contributors: Michael Ferguson, Thiago de Freitas Oliveira Araujo

 -- David V. Lu!! <davidvlu@gmail.com>  Thu, 29 Oct 2015 07:00:00 -0000

ros-lunar-move-base (1.13.0-0xenial) xenial; urgency=high

  * Fixing various memory freeing operations
  * Contributors: Alex Bencz

 -- David V. Lu!! <davidvlu@gmail.com>  Tue, 17 Mar 2015 07:00:00 -0000

ros-lunar-move-base (1.12.0-0xenial) xenial; urgency=high

  * update maintainer email
  * Contributors: Michael Ferguson

 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 04 Feb 2015 08:00:00 -0000

ros-lunar-move-base (1.11.15-0xenial) xenial; urgency=high

  * Disable global planner when resetting state.
  * Mark move_base headers for installation
  * Add ARCHIVE DESTINATION for move_base
  * Break infinite loop when tolerance 0 is used
  * remove partial usage of <tab> in the code
  * Contributors: Gary Servin, Michael Ferguson, ohendriks, v4hn

 -- David V. Lu!! <davidvlu@gmail.com>  Tue, 03 Feb 2015 08:00:00 -0000

ros-lunar-move-base (1.11.14-0xenial) xenial; urgency=high

  * use timer rather than rate for immediate wakeup
  * adding lock to planner makePlan fail case
  * Contributors: Michael Ferguson, phil0stine

 -- David V. Lu!! <davidvlu@gmail.com>  Fri, 05 Dec 2014 08:00:00 -0000

ros-lunar-move-base (1.11.13-0xenial) xenial; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Thu, 02 Oct 2014 07:00:00 -0000

ros-lunar-move-base (1.11.12-0xenial) xenial; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 01 Oct 2014 07:00:00 -0000

ros-lunar-move-base (1.11.11-0xenial) xenial; urgency=high

  * removes trailing spaces and empty lines
  * Contributors: Enrique Fernández Perdomo

 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 23 Jul 2014 07:00:00 -0000

ros-lunar-move-base (1.11.10-0xenial) xenial; urgency=high

  * Remove unnecessary colons
  * move_base planService now searches out from desired goal
  * Contributors: David Lu!!, Kaijen Hsiao

 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 25 Jun 2014 07:00:00 -0000

ros-lunar-move-base (1.11.9-0xenial) xenial; urgency=high

  * uses ::hypot(x, y) instead of sqrt(x*x, y*y)
  * Contributors: Enrique Fernández Perdomo

 -- David V. Lu!! <davidvlu@gmail.com>  Tue, 10 Jun 2014 07:00:00 -0000

ros-lunar-move-base (1.11.8-0xenial) xenial; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 21 May 2014 07:00:00 -0000

ros-lunar-move-base (1.11.7-0xenial) xenial; urgency=high

  * update build to find eigen using cmake_modules
  * Fix classloader warnings on exit of move_base
  * Contributors: Michael Ferguson

 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 21 May 2014 07:00:00 -0000

ros-lunar-move-base (1.11.4-0xenial) xenial; urgency=high

  * Package URL Updates
  * Reintroduce ClearCostmaps Service
  * Add dependencies to recovery behaviors.

 -- David V. Lu!! <davidvlu@gmail.com>  Fri, 27 Sep 2013 07:00:00 -0000
